%define major 0
%define libname_orig lib%{name}
%define libname lib%{name}%{major}

Name: zvbi
Version: 0.2.3
Release: 1mdk
Summary: Raw VBI, Teletext and Closed Caption decoding library
License: GPL
Group: Video
Url: http://zapping.sourceforge.net/
Source0:    http://prdownloads.sourceforge.net/zapping/%name-%version.tar.bz2
Buildroot: %_tmppath/%name-root
PreReq: /sbin/install-info
BuildRequires:	XFree86-devel
BuildRequires:	gtk-doc
BuildRequires:	libpng-devel
BuildRequires:	libunicode-devel
BuildRequires:	xpm-devel
Requires: libunicode >= 0.4
Requires: gettext >= 0.10.36

%description
Non versionated files of zvbi, mainly libzvbi0 translations

%package -n %{libname}
Summary: Raw VBI, Teletext and Closed Caption decoding library
Group: Video
%description -n %{libname}
This library provides routines to

VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.


%package -n %{libname}-devel                                   
Summary: Header files for developing apps which will use libzvbi
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{libname_orig}-devel = %{version}-%{release}
Provides: %{name}-devel
Obsoletes: %{name}-devel
%description -n %{libname}-devel
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)


%package devel
Summary:	Zvbi library headers files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	libunicode-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%prep
%setup -q

%build
%configure
# gtkdoc fix:
cp /usr/share/gtk-doc/gtkdoc-common.pl doc/
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(644,root,root,755)
%doc COPYING

%files -n %libname
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README
%_libdir/libzvbi*.so.*

%files -n %{libname}-devel                                     
%defattr(644,root,root,755)
%doc BUGS ChangeLog COPYING TODO doc/html
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/lib*.a
%_includedir/libzvbi.h


%changelog
* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-1mdk
- new release

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- new release
- moves translations to zvbi package

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.1-2mdk
- BuildRequires

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- initial release
